Loading...
Searching...
No Matches
Iterator.h File Reference
`#include <sstream>`
`#include <type_traits>`
`#include <openvdb/util/NodeMasks.h>`
`#include <openvdb/Exceptions.h>`

Go to the source code of this file.

## Classes

class | IteratorBase< MaskIterT, NodeT >
| Base class for iterators over internal and leaf nodes. More...
struct | SparseIteratorBase< MaskIterT, IterT, NodeT, ItemT >
| Base class for sparse iterators over internal and leaf nodes. More...
struct | DenseIteratorBase< MaskIterT, IterT, NodeT, SetItemT, UnsetItemT >
| Base class for dense iterators over internal and leaf nodes. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tree

## Detailed Description

Author
  Peter Cucka and Ken Museth